package com.example.petstoremobile.dtos;

import java.util.List;

//Used to get data from the API
public class PageResponse<T> {
    private List<T> content;
    private int totalPages;
    private long totalElements;
    private int number;
    private int size;
    private boolean last;

    public List<T> getContent() {
        return content;
    }
    public int getTotalPages() {
        return totalPages;
    }
    public long getTotalElements() {
        return totalElements;
    }
    public int getNumber() {
        return number;
    }
    public int getSize() {
        return size;
    }
    public boolean isLast() {
        return last;
    }
}